var multer = require("multer");
const path = require('path');

const storage = multer.diskStorage({
  destination: function (req, file, cb) {
    cb(null, '../server/webservice/images/');
  },
  filename: function (req, file, cb) {
    const uniqueSuffix = Date.now() + '-' + Math.round(Math.random() * 1E9);
    cb(null, file.fieldname + '-' + uniqueSuffix + path.extname(file.originalname));
  }
});

const upload = multer({ storage: storage });
const videoUpload = multer({ storage: storage });
const audioUpload1 = multer({ storage: storage });
const uploadimage = multer({ storage: storage });

module.exports = {upload,videoUpload,audioUpload1,uploadimage}