var express = require('express');
const { signUp ,resendOtp, otpVerify, signIn, forgetPassword ,forgetResedOtpPassword ,forgetPassOtpVerify, changePassword, updateNewPassword, contectUs,updateProfile,updateProfileImage, deleteAccount, aboutYourSelf, getOtherUserProfileDetails,getProfileDetails, getAllPlan,getPlanHistory,purchasePlan,UploadChat1,getAllUsers} = require('../controller/userController');

const {upload,videoUpload,audioUpload1,uploadimage} = require('../controller/multer');

const { createMussa ,userFollow, getSocialMusaDetails, getSingleMusaDetails, musaComment,musaLikeUnlike,Contributor,myContributor,postReport, saveMusaa, getMyAlbum,homeAlbum,getAllCategoryData,addNewCategory,addCategorySubcategory,removeContributor,imageUpload,audioUpload,videoUploadFolder,getAllSubCategory,deleteMusaController,getMyAllCategory,editMyCategory,getMyAllSubCategory,editMySubCategory,deleteCategory,deleteSubCategory,editMusa,displayRequest,acceptRejectRequest,
    getAllDisplayRequest,
    myAlbumSubalbum,
    getMyMusaCategoryWise,
    getAllCommentsOnMusa,
    getAllCommentsOnMusaThroughImage,
    increaseShareCount,
    getSingleMusaDetailsByMusaId
} = require('../controller/musaController');

const { getContent,getAllContentUrl,downloadApp,deepLink} = require('../controller/content');

const { socialLogincontroller} = require('../controller/socialLogin');

const { getNotification, deleteAllNotification, deleteSingleNotification} = require("../controller/notification")
const {getAllMusaAccToSubCategories,getOtherUserAllMusaAccToSubCategories} = require("../controller/function")
const { uploadToGallery,
    getGallery,
    deleteGalleryImages,
    commentOnImages,
    getAllImagesComment,
    deleteMusaComment,
    deleteMusaImageComment
 } = require("../controller/gallery");

var router = express.Router();
router.get('/getAllUsers',getAllUsers);
router.get('/get_all_content',getContent);
router.get("/get_all_content_url",getAllContentUrl);
router.get("/deepLink",deepLink);
router.get("/downloadApp",downloadApp);
router.post("/sign_up",upload.none(),signUp)
router.post("/resend_otp",upload.none(),resendOtp);
router.post("/otp_verify",upload.none(),otpVerify);
router.post('/sign_in',upload.none(),signIn);
router.get("/profile_details",getProfileDetails);
router.get("/get_display_request",getAllDisplayRequest);
router.get("/get_other_user_profile",getOtherUserProfileDetails);
router.get("/albums_subalbum",myAlbumSubalbum);
router.get("/get_my_musa_category_wise",getMyMusaCategoryWise);
router.post('/forget_pass',upload.none(),forgetPassword);
router.post("/forget_password_resendotp",upload.none(),forgetResedOtpPassword);
router.post("/forget_password_otp_verify",upload.none(),forgetPassOtpVerify);
router.post("/update_new_password",upload.none(),updateNewPassword);
router.post("/change_password",upload.none(),changePassword);
router.post("/contect_us",upload.none(),contectUs);
router.post("/edit_profile",upload.none(),updateProfile);
router.post("/update_profile_image",upload.none(),updateProfileImage);
router.post("/delete_account",upload.none(),deleteAccount);
router.post("/about_yourself",upload.none(),aboutYourSelf);
router.post("/create_mussas",upload.none(),createMussa);
router.post("/follow",upload.none(),userFollow);
router.get("/social_musa",getSocialMusaDetails);
router.get("/single_musa_details",getSingleMusaDetails);
router.post("/musa_comment",upload.none(),musaComment);
router.post("/musa_like",upload.none(),musaLikeUnlike);
router.get("/contributor",Contributor);
router.get("/my_contributor",myContributor);
router.post("/save_musa",upload.none(),saveMusaa);
router.post("/post_report",upload.none(),postReport);
router.post("/social_login",upload.none(),socialLogincontroller);
router.get("/my_album",getMyAlbum);
router.get("/home_album",homeAlbum);
router.get("/increase_share_count",increaseShareCount);
router.get("/get_all_category",getAllCategoryData);
router.get("/get_all_Sub_category",getAllSubCategory);
router.post("/add_new_category",upload.none(),addNewCategory);
router.post("/add_category_subcategory",upload.none(),addCategorySubcategory);
router.get("/remove_contributor",removeContributor);
router.post("/upload_image",upload.fields([{name : "image"}]),imageUpload);
router.post("/upload_audio",audioUpload1.fields([{name: "audio"}]),audioUpload);
router.post("/upload_video",videoUpload.fields([{name: "video"}]),videoUploadFolder);
router.post("/delete_musa",upload.none(),deleteMusaController);
router.get("/get_my_category",getMyAllCategory);
router.post("/edit_my_category",upload.none(),editMyCategory);
router.get("/get_my_subcategory",getMyAllSubCategory);
router.post("/edit_my_subcategory",upload.none(),editMySubCategory);
router.post("/delete_category",upload.none(),deleteCategory);
router.post("/delete_sub_category",upload.none(),deleteSubCategory);
router.post("/edit_musa",upload.none(),editMusa);
router.get("/get_plan",getAllPlan);
router.get("/get_plan_history",getPlanHistory);
router.get("/getAllCommentsOnMusa",getAllCommentsOnMusa);
router.post("/purchase_plan",upload.none(),purchasePlan);
router.get("/get_notification",getNotification);
router.get("/getAllCommentsOnMusaThroughImage",getAllCommentsOnMusaThroughImage);
router.get("/get_all_musa_acc_subCategories",getAllMusaAccToSubCategories);
router.get("/get_musa_detail_by_id",getSingleMusaDetailsByMusaId);
router.get("/get_all_musa_other_user_acc_subCategories",getOtherUserAllMusaAccToSubCategories);
router.post("/delete_all_notification",upload.none(),deleteAllNotification);
router.post("/delete_single_notification",upload.none(),deleteSingleNotification);
router.post("/display_request",upload.none(),displayRequest); // display request
router.post("/accept_reject_request",upload.none(),acceptRejectRequest); // display request accept and reject
router.post("/upload_chat_image",upload.none(),UploadChat1);
router.post("/upload_to_gallery",upload.none(),uploadToGallery);
router.get("/get_gallery",getGallery);
router.post("/delete_gallery_images",upload.none(),deleteGalleryImages);
router.post("/comment_on_images",upload.none(),commentOnImages);
router.get("/get_all_images_comment",getAllImagesComment);
router.post("/delete_musa_comment",upload.none(),deleteMusaComment);
router.post("/delete_musa_image_comment",upload.none(),deleteMusaImageComment);

module.exports = router;




